Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common.plugin
Class CategoryInfo

    java.lang.Object
      |
      +--com.bea.wlpi.common.plugin.InfoObject
            |
            +--com.bea.wlpi.common.plugin.ActionCategoryInfo
                  |
                  +--com.bea.wlpi.common.plugin.CategoryInfo

public final class CategoryInfo
extends ActionCategoryInfo

Provides information about an action category defined by a plugin.

Since:
  WebLogic Process Integrator 2.0
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class com.bea.wlpi.common.plugin.ActionCategoryInfo
`ID_EXCEPTION, ID_INTEGRATION, ID_MISCELLANEOUS, ID_NEW, ID_TASK, ID_WORKFLOW, parentSystemID`

Fields inherited from class com.bea.wlpi.common.plugin.InfoObject
`classNames, description, ID, name, pluginName`

Constructor Summary
`CategoryInfo(java.lang.String pluginName, int ID, java.lang.String name, java.lang.String description, int parentSystemID, ActionCategoryInfo[] subNodes)` Create a new action category.

Method Summary
`void` | `addSubNode(ActionCategoryInfo node)` Add an action or sub-category to this category.
`CategoryInfo` | `findCategory(int systemID)` Find a category by systemID.
`ActionCategoryInfo[]` | `getSubnodes()` Return a list of the action nodes belonging to this category.
`int` | `getSystemID()` Return the unique system ID assigned by the Plugin Manager.
`int` | `setSystemID(int systemID)` Set the category's system ID.

Methods inherited from class com.bea.wlpi.common.plugin.ActionCategoryInfo
`getParentSystemID`

Methods inherited from class com.bea.wlpi.common.plugin.InfoObject
`compareTo, equals, getClassName, getDescription, getID, getName, getPluginName, imageStreamToByteArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CategoryInfo

    public CategoryInfo(java.lang.String pluginName,
                        int ID,
                        java.lang.String name,
                        java.lang.String description,
                        int parentSystemID,
                        ActionCategoryInfo[] subNodes)

  Create a new action category.

  Parameters:
    `pluginName` - The reverse-DNS name of the plugin supplying this action category.
    `ID` - The plugin-assigned unique identifier for this action category.
    `name` - The localized name of this action category.
    `description` - The localized description of this action category.
    `parentSystemID` - The system ID of this object's parent category.
    `subnodes` - A list of actions or categories belonging to this category.

Method Detail

### addSubNode

    public void addSubNode(ActionCategoryInfo node)

  Add an action or sub-category to this category. Called by the Plugin Manager when merging plugin-provided actions and categories into one tree. Plugins should define their subnodes by passing them to the constructor, rather than by calling this method.

  Parameters:
    `node` - The action or sub-category to add.

### findCategory

    public CategoryInfo findCategory(int systemID)

  Find a category by systemID. The method recursively searches this category and its sub-categories to locate the category with a matching systemID. Called by the Plugin Manager when merging plugin-provided actions and categories into one tree.

  Parameters:
    `systemID` - The systemID of the category to find.
  Returns:
    The matching category, or `null` if not found.

### getSubnodes

    public ActionCategoryInfo[] getSubnodes()

  Return a list of the action nodes belonging to this category.

  Returns:
    A list of actions and categories.

### getSystemID

    public int getSystemID()

  Return the unique system ID assigned by the Plugin Manager.

  Returns:
    The unique system ID assigned by the Plugin Manager.

### setSystemID

    public int setSystemID(int systemID)

  Set the category's system ID. The method sets the systemID for this category and the parentSystemID for its subnodes. It then recurses through any sub-categories, assigning a new systemID to each. Called by the Plugin Manager to assign a unique category ID to each category in a plugin-defined action category tree: clients must not call this method.

  Parameters:
    `systemID` - The starting system ID, assigned by the Plugin Manager.
  Returns:
    The last systemID assigned within the method.
  Throws:
    java.lang.IllegalStateException - if this method is called more than once.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)